<?xml version='1.0' encoding='utf-8'?>

<!-- 

======================================================================================
Firma:            Voith Turbo
Projekt:          Voith Diagnostic Tools XSL-Formating for HTML Presentation of CAN-Data
Dateiname:        CAN_FileContent.XSL

Beschreibung:     XSL - Template for CAN-Data-Formating
                  Es wird das Inhaltsverzeichnis dargestellt
Doc in:           No
Ersterstellung:   /2009 - RThe
======================================================================================

 -->


<xsl:stylesheet version='2.0'
xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>


  <xsl:template name="CAN2HTML_Formater_FileContent" match=' / '>

        <!-- 
        ** Ein- / Ausblenden **        
        -->


    <table border="0" width="100%" id="table100" height="43">
    <tr>
      <td width="47" style="vertical-align: middle" height="43">
        <h1 style="margin-top: 0; margin-bottom: 0; text-align:center">
          <a onclick="return EP_toggleMe('ID_Content')" href="javascript:void(0)">
            <img border="0" src="Resources/XSL/Images/_System_Folder_Closed.gif" name="ID_Content_Grafic" />
          </a>
        </h1>
      </td>
      <td style="vertical-align: middle" height="43">
        <a onclick="return EP_toggleMe('ID_Content')" href="javascript:void(0)">
          <p class="header" style="margin-top: 0; margin-bottom: 0"/>
          <script>
            document.write(' <P class='ueberschrift04'>Content / Inhalt</P>');
          </script>
        </a>
      </td>
    </tr>
  </table>


        <!-- 
        ** Inhaltsverzeichnis **        
        -->

    <div id="ID_Content" style="display:none">
      <table border='0'  width="700">


        <!-- 
        ** CAN Messages-Tabelle **        
        -->

        <tr>
          <td  width="47"     class='ContentBody1'></td>
          <td  colspan="3"      class='TabHead1'>CAN-Messages </td>
        </tr>
        <tr>
          <td  width="47"  class='ContentBody1'></td>
          <td class='TabBody1'>
            <img SRC="Resources/XSL/Images/_System_Arrow.gif" alt="i" border ="0"  align="Right"/>
          </td>
          <td  colspan="2"    class='TabBody1'>
            <a>
              <xsl:attribute name="href">
                #ID_MessagesForCom_List
              </xsl:attribute>
             CAN-Messages for Communication with E300 / E300.1
            </a>
          </td>
          

        </tr>

        <!-- 
        ** CAN Receive Messages **        
        -->
        
        <tr>
          <td  width="47"     class='ContentBody1'></td>
          <td  colspan="3"      class='TabHead1'>CAN Receive Messages</td>  
        </tr>

        <xsl:for-each select='VoithDiagnosticToolsCAN/CANDeclaration/CanMessage'>

          <xsl:if test='ReceiveMessage'>
            <tr>
              <td  width="47"  class='ContentBody1'></td>
              <td class='TabBody1'>
                <img SRC="Resources/XSL/Images/_System_Arrow.gif" alt="i" border ="0"  align="Right"/>
              </td>
              <td  class='TabBody1'>
                <a>
                  <xsl:attribute name="href">
                    #<xsl:value-of select='concat("MessageDef_",ID )'/>
                    <!-- <xsl:value-of select="Name"/>-->
                  </xsl:attribute>
                  <xsl:value-of select='Name'/>
                </a>   
              </td>
              <td  class='TabBody1'>
                <xsl:value-of select="Description"/>
              </td>            
            </tr>
          </xsl:if>
        </xsl:for-each>

        <!-- 
        ** CAN Transmit Messages **        
        -->
        
        <tr>
          <td                 class='ContentBody1'></td>
          <td  colspan="3"    class='TabHead1'>CAN Transmit Messages</td> 
        </tr>

        <xsl:for-each select='VoithDiagnosticToolsCAN/CANDeclaration/CanMessage'>

          <xsl:if test='TransmitMessage'>
            <tr>
              <td  width="47"  class='ContentBody1'></td>
              <td class='TabBody1'>
                <img SRC="Resources/XSL/Images/_System_Arrow.gif" alt="i" border ="0"  align="Right"/>
              </td>
              <td  class='TabBody1'>                
                <a>
                  <xsl:attribute name="href">
                    #<xsl:value-of select='concat("MessageDef_",ID )'/>
                    <!-- <xsl:value-of select="Name"/>-->
                  </xsl:attribute>
                  <xsl:value-of select='Name'/>
                </a>
              </td>
              <td  class='TabBody1'>
                <xsl:value-of select="Description"/>
              </td> 
            </tr>
          </xsl:if>
        </xsl:for-each>


        <!-- 
        ** CAN Software Refernce List **        
        -->
        
        <tr>
          <td  width="47"  class='ContentBody1'></td>
          <td  colspan="3"    class='TabHead1'>CAN Software Refernce List</td>        
        </tr>

        <tr>
          <td  width="47"  class='ContentBody1'></td>
          <td class='TabBody1'>
            <img SRC="Resources/XSL/Images/_System_Arrow.gif" alt="i" border ="0"  align="Right"/>
          </td>
          <td  class='TabBody1'>
            <a>
              <xsl:attribute name="href">
                #ID_SRLlistBlock
                <!-- <xsl:value-of select="Name"/>-->
              </xsl:attribute>
             Software Refernce List
            </a>
          </td>
          <td  class='TabBody1'>           
          </td>
        
        </tr>
        
        
        
        
        
      </table>
    </div>
    
    
    
    <br/>
    <hr color="#000099"/>

  </xsl:template>

</xsl:stylesheet>
